language: generic
addons:
  apt_packages:
  - zsh
  - ksh
before_install:
  - curl --version
  - wget --version
install:
  - (mkdir /tmp/urchin && cd /tmp/urchin && curl -s "$(curl -s https://registry.npmjs.com/urchin | grep -Eo '"tarball":\s*"[^"]+"' | tail -n 1 | awk -F\" '{ print $4 }')" -O && tar -x -f urchin*)
  - chmod +x /tmp/urchin/package/urchin
  - '[ -z "$WITHOUT_CURL" ] || sudo apt-get remove curl -y'
script:
  - export PATH=$(echo $PATH | sed 's/::/:/')
  - NVM_DIR=$TRAVIS_BUILD_DIR make TEST_SUITE=$TEST_SUITE URCHIN=/tmp/urchin/package/urchin test-$SHELL
env:
  - SHELL=bash TEST_SUITE=install_script
  - SHELL=sh TEST_SUITE=fast
  - SHELL=dash TEST_SUITE=fast
  - SHELL=bash TEST_SUITE=fast
  - SHELL=zsh TEST_SUITE=fast
#  - SHELL=ksh TEST_SUITE=fast
  - SHELL=sh TEST_SUITE=sourcing
  - SHELL=dash TEST_SUITE=sourcing
  - SHELL=bash TEST_SUITE=sourcing
  - SHELL=zsh TEST_SUITE=sourcing
#  - SHELL=ksh TEST_SUITE=sourcing
  - SHELL=sh TEST_SUITE=slow
  - SHELL=dash TEST_SUITE=slow
  - SHELL=bash TEST_SUITE=slow
  - SHELL=zsh TEST_SUITE=slow
#  - SHELL=ksh TEST_SUITE=slow
  - SHELL=sh TEST_SUITE=installation_node
#  - SHELL=sh TEST_SUITE=installation_node WITHOUT_CURL=1
  - SHELL=dash TEST_SUITE=installation_node
#  - SHELL=dash TEST_SUITE=installation_node WITHOUT_CURL=1
  - SHELL=bash TEST_SUITE=installation_node
#  - SHELL=bash TEST_SUITE=installation_node WITHOUT_CURL=1
  - SHELL=zsh TEST_SUITE=installation_node
#  - SHELL=zsh TEST_SUITE=installation_node WITHOUT_CURL=1
#  - SHELL=ksh TEST_SUITE=installation_node
#  - SHELL=ksh TEST_SUITE=installation_node WITHOUT_CURL=1
  - SHELL=sh TEST_SUITE=installation_iojs
#  - SHELL=sh TEST_SUITE=installation_iojs WITHOUT_CURL=1
  - SHELL=dash TEST_SUITE=installation_iojs
#  - SHELL=dash TEST_SUITE=installation_iojs WITHOUT_CURL=1
  - SHELL=bash TEST_SUITE=installation_iojs
#  - SHELL=bash TEST_SUITE=installation_iojs WITHOUT_CURL=1
  - SHELL=zsh TEST_SUITE=installation_iojs
#  - SHELL=zsh TEST_SUITE=installation_iojs WITHOUT_CURL=1
#  - SHELL=ksh TEST_SUITE=installation_iojs
#  - SHELL=ksh TEST_SUITE=installation_iojs WITHOUT_CURL=1
